#include <iostream>

#define endl '\n'

using namespace std;

const int MAXN = 2e3 + 3;
pair<int, int> points[MAXN];

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    cin >> n;

    for (int i = 0; i < n; ++i)
    {
        cin >> points[i].first >> points[i].second;
    }

    cout << 0 << endl;

    return 0;
}
